/**
 * 存钱罐数据
 * - 提现描述显示：
 * 1.判断是否可提，
 *  可提显示“直接提现”
 *  不可提判断存款是否满足提现最低限制
 *      满足显示：“明日提现”，
 *      不满足显示：“满x可提”
 * @author 薛鸿潇
 */
export class PigBankData {
    /** 标志位：是否需要刷新数据 */
    public init_data: boolean = true;
    /** 是否可提现 */
    private _cash_enable: boolean = true;
    set cash_enable(bool: boolean) {
        if (this._cash_enable != bool) {
            this._cash_enable = bool;
            this.init_data = true;
        }
    }
    get cash_enable(): boolean {
        return this._cash_enable;
    }

    /** 当前存款 */
    private _cur_cash_count: number = 0.36;
    set cur_cash_count(value: number) {
        if (this._cur_cash_count != value) {
            this._cur_cash_count = value;
            this.init_data = true;
        }
    }
    get cur_cash_count(): number {
        return this._cur_cash_count;
    }

    /** 提现最低限制 */
    public cash_min_limit: number = 0.3;
    /** 存款最高限制 */
    // public cash_max_limit: number = 0.45;
    /** 
     * 视频数最低限制 
     * 存钱罐提现次数*10【配置】，未满足视频数要求则不打款
    */
    // public ad_count_min_limit: number = 0;

    /** 
     * 提现操作
     * - 此处需要对接服务端数据
     */
    public cashOP() {
        this.cash_enable = false;
    }
}
